# -*- coding: utf-8 -*-

import re

re_parce_size = re.compile('([\d\.]+).*?(MB|GB|KB)', re.I)


SIZE_MUL = {
    'GB': pow(1024, 3),
    'MB': pow(1024, 2),
    'KB': pow(1024, 1),
}


def size_to_byte(str_size):
    try:
        if type(str_size) == str or type(str_size) == unicode:
            s1 = re_parce_size.findall(str_size)[0]
        elif type(str_size) == tuple:
            s1 = str_size
        return int(float(s1[0])*SIZE_MUL[s1[1]])
    except:
        return 0


QUALITY_LIST = [
    (3840, re.compile('(4K)|(uhd)', re.I)),
    (2160, re.compile('(2K)|(2160p)', re.I)),
    (1080, re.compile('(1080p)|(1080i)', re.I)),
    (720, re.compile('(720p)|(720i)', re.I)),
]


def parce_quality(text):
    for q, f_re in QUALITY_LIST:
        if f_re.findall(text):
            return q



