# -*- coding: utf-8 -*-
import urllib2
from cookielib import CookieJar
import re
from HTMLParser import HTMLParser
from urlparse import urljoin
from urllib import quote_plus
import database
import bencode
import socket
import logging
import time
import os
import json
from random import choice
import tools

# Грязный хак вы этого не видели -_-
import sys

reload(sys)
sys.setdefaultencoding('utf-8')
# Если сайт заблокирован или сеть не стабильна, это не даст коди зависнуть.
socket.setdefaulttimeout(5)

MEDIA_TYPES = ['mkv', 'avi', 'mp4']

db = database.Database()


def _kodi_notification(text, header=''):
    print text


CONFIG = {
    'USE_PROXY': 0,  # 0 - не использовать проскси, 1 - антизапрет, 2 - проксилист
    'DIRECT_DOWNLOAD_MODE': False,
    'kodi_notification': _kodi_notification,
    'configured': False,
}


def configure():
    try:
        if not CONFIG['configured']:
            from config import USE_PROXY, kodi_notification, DIRECT_DOWNLOAD_MODE, SOCKET_TIMEOUT
            CONFIG['USE_PROXY'] = USE_PROXY
            CONFIG['kodi_notification'] = kodi_notification
            CONFIG['DIRECT_DOWNLOAD_MODE'] = DIRECT_DOWNLOAD_MODE
            CONFIG['configured'] = True
            socket.setdefaulttimeout(SOCKET_TIMEOUT)
    except:
        pass


HTTP_HEADERS = ('User-Agent', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36')

try:
    from config import ADDON_PROFILE

    PROXY_LIST_PATH = os.path.join(ADDON_PROFILE, 'proxy_list.json')
except:
    PROXY_LIST_PATH = os.path.join(database.MY_DIR, 'proxy_list.json')


class HTTPClient:
    def __init__(self):
        configure()
        self.min_body_len = 0
        self.cookies = CookieJar()
        if CONFIG['USE_PROXY'] == 1:  # Антизапрет
            proxy = urllib2.ProxyHandler({'https': 'proxy.antizapret.prostovpn.org:3143', 'http': 'proxy.antizapret.prostovpn.org:3128'})
            self.opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(self.cookies), proxy)
            self.opener.addheaders = [HTTP_HEADERS]
        elif CONFIG['USE_PROXY'] == 2:  # Прокси лист
            self.min_body_len = 180  # прокси возвращают не настоящий сайт, с кодом 200
            self.opener_list = []
            self.proxy_list = json.loads(open(PROXY_LIST_PATH).read())
            for proxy_d in self.proxy_list:
                if proxy_d['quality'] < 0:
                    continue
                proxy = urllib2.ProxyHandler(proxy_d)
                opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(self.cookies), proxy)
                opener.addheaders = [HTTP_HEADERS]
                opener.base_proxy = proxy_d
                self.opener_list.append(opener)
            if len(self.opener_list) == 0:
                CONFIG['kodi_notification']('Хозяин, у нас кончились прокси!')
            self.opener = choice(self.opener_list)
        else:  # Нет прокси
            self.opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(self.cookies))
            self.opener.addheaders = [HTTP_HEADERS]

    def write_proxy_list(self):
        with open(PROXY_LIST_PATH, 'wb') as f:
            f.write(json.dumps(self.proxy_list))

    def get_page(self, url, use_cache=True, direct=False):
        if not use_cache:
            disable_cache, db.disable_cache = db.disable_cache, True
        if direct:
            old_proxy_config, CONFIG['USE_PROXY'] = CONFIG['USE_PROXY'], 0
        res = self._get_page(url)
        if direct:
            CONFIG['USE_PROXY'] = old_proxy_config
        if not use_cache:
            db.disable_cache = disable_cache
        return res

    @db.cached('http_client')
    def _get_page(self, url):
        last_error = None
        for i in range(4):
            try:
                use_proxy = '[proxy] ' if CONFIG['USE_PROXY'] else ''
                logging.debug('%sget_page %s' % (use_proxy, url))
                res = self.opener.open(url).read()
                if len(res) < self.min_body_len:
                    raise Exception('Слишком маленькая страница')
                if CONFIG['USE_PROXY'] == 2:
                    self.opener.base_proxy['quality'] += 1
                    self.write_proxy_list()
                return res
            except Exception, e:
                logging.debug('get page error %s try %i' % (e, i))
                if CONFIG['USE_PROXY'] == 2:
                    self.opener.base_proxy['quality'] -= 1
                    self.write_proxy_list()
                    logging.debug('bad proxy %s, left %s' % (str(self.opener.base_proxy), len(self.proxy_list)))
                    self.opener = choice(self.opener_list)
                else:
                    time.sleep(1)
                last_error = e
        # CONFIG['kodi_notification']('Не могу загрузить url %s ошибка %s' % (url, last_error))
        time.sleep(2)
        raise Exception('Proxy or site error')

    def get_mirror(self, url):
        res = self.opener.open(url)
        return res.url

    @db.cached('http_content_length')
    def get_content_length(self, url):
        request = urllib2.Request(url)
        request.get_method = lambda: 'HEAD'
        try:
            res = self.opener.open(request)
            res.close()
            return res.headers.get('Content-Length', 0)
        except:
            return 0


try:
    http_client = HTTPClient()
except:
    if CONFIG['USE_PROXY'] == 2:
        CONFIG['kodi_notification']('Не найден прокси лист[CR]необходимо его сгенерировать')

re_find_table = re.compile(r'<table.*?>(.*?)</table>', re.S + re.I)
re_find_table_lt = re.compile(r'</legend><table width="100%">(.*?)</table>', re.S + re.I)
re_find_rows = re.compile(r'<tr.*?>(.*?)</tr>', re.S + re.I)
re_find_cols = re.compile(r'<td.*?>(.*?)</td>', re.S + re.I)
re_del_tags = re.compile(r'<.*?>', re.S + re.I)
re_find_a = re.compile(r'<a.*?href="(.*?)".*?/>', re.S + re.I)
re_find_a_wdesc = re.compile(r'<a href="(.*?)">(.*?)</a>', re.S + re.I)
re_find_id = re.compile(r'/download/(\d+)')
re_find_detail_table = re.compile(r'<table id="details">(.*?)</table>', re.S + re.I)
re_find_img = re.compile(r'<img src=\"([\w\:\/\.\-_]*?)\".*?/>', re.I)
re_find_imdb_link = re.compile(r'https?\://www\.imdb\.com/title/\w+/', re.I)
re_find_kinopoisk1 = re.compile(r'https?\://www\.kinopoisk\.ru/level/\w+/film/\w+/', re.I)
re_find_kinopoisk2 = re.compile(r'https?\://www\.kinopoisk\.ru/film/[\w_-]+/', re.I)
re_find_scr_textarea = re.compile(r'<textarea class="hidearea">(.*?)</textarea>', re.IGNORECASE + re.UNICODE)
re_find_h1 = re.compile('<h1>(.*?)</h1>', re.I + re.S)
re_find_download_div = re.compile('<div id="download">(.*?)</div>', re.I + re.S)
re_find_download_a = re.compile('<a href=\"(.*?)\">.*?Скачать', re.I)
re_find_ti_size = re.compile('<td class="header">Размер</td><td>([\d\.]+).*?(GB|MB|KB).*?</td>')
re_find_ti_seeds = re.compile('<td class="header">Раздают</td><td>(\d+)</td>')
re_find_digits = re.compile('\d+')


def pool_get_content_length(url):
    return http_client.get_content_length(url)


class RuTor:
    def __init__(self, base_url):
        self.base_url = base_url
        self.html_parcer = HTMLParser()

    def link(self, link):
        return link if link[:4].lower() == 'http' else urljoin(self.base_url, link)

    @staticmethod
    def unlink(link):
        return link[link.find('/', link.find('//') + 2) + 1:] if link[:4].lower() == 'http' else link

    def parce_table(self, table):
        rows = re_find_rows.findall(table)
        data = []
        for row in rows:
            cols = re_find_cols.findall(row)
            if cols[0].find('<img src="') > -1 or cols[0].find('Добавлен') > -1:
                continue  # header, skip
            links = re_find_a.findall(cols[1])
            desc = re_find_a_wdesc.findall(cols[1])[-1]
            col = {
                'id': re_find_id.findall(links[0])[0],
                'date': self.html_parcer.unescape(cols[0]),
                'size': tools.re_parce_size.findall(self.html_parcer.unescape(cols[-2]))[0],
                'seeds': int(re_find_digits.findall(re_del_tags.sub('', self.html_parcer.unescape(cols[-1])))[0]),
                'torrent': self.link(links[0]),
                'magnet': links[1],
                'url': self.link(desc[0]),
                'name': self.html_parcer.unescape(desc[1]).strip(),
            }
            data.append(col)
        return data

    def search_thumbnail(self, image_links):
        MAX_IMAGES = 4
        image_links = [i for i in image_links[:MAX_IMAGES] if db.get_cache('image_black_list', i) is None]
        if not image_links:
            return None
        if len(image_links) > 1:
            sizes = [pool_get_content_length(i) for i in image_links]
            for size, iurl in map(None, sizes, image_links):
                if int(size) > 20000:
                    url = iurl
                    break
                db.set_cache('image_black_list', iurl, True)
            else:
                return None
        else:
            url = image_links[0]
        if url.find('banner') > -1:
            return None
        if url.split('.')[-1] not in ('jpg', 'png', 'jpeg'):
            return None
        return self.link(url)

    def get_info(self, url):
        INFO_MAP = {
            'Оригинальное название': 'originaltitle',
            'Год выпуска': 'year',
            'Год выхода': 'year',
            'Название': 'title',
            'Наименование': 'title',
            'Оригинальное наименование': 'originaltitle',
        }
        html = http_client.get_page(url, use_cache=CONFIG['USE_PROXY'] != 3)  # Не кэшировать с прокси листом т.к. они не надежные
        detail = re_find_detail_table.findall(html)[0]
        desc = re_find_rows.findall(detail)[0]
        header = self.html_parcer.unescape(re_find_h1.findall(html)[0]).strip()
        torrent = re_find_download_a.findall(re_find_download_div.findall(html)[0])[0]
        size = re_find_ti_size.findall(detail)[0]
        seeds = int(re_find_ti_seeds.findall(detail)[0])
        try:
            imdb = re_find_imdb_link.findall(desc)[0]
        except:
            imdb = None
        kinopoisk = None
        for i in (re_find_kinopoisk1, re_find_kinopoisk2):
            try:
                kinopoisk = i.findall(desc)[0]
                break
            except:
                pass
        desc = [i.strip() for i in self.html_parcer.unescape(re_del_tags.sub('', desc.replace('\n', ' ').replace('<br />', '\n'))).split('\n') if i.strip()]
        # заполняем kodi info подробней http://mirrors.kodi.tv/docs/python-docs/14.x-helix/xbmcgui.html#ListItem-setInfo
        kodi_info = {}
        for i in desc:
            for k, v in INFO_MAP.items():
                if i.find(k) > -1:
                    del INFO_MAP[k]  # найдено больше не искать
                    if i.find(':') > -1:
                        kodi_info[v] = ':'.join(i.split(':')[1:]).strip()
                    else:
                        kodi_info[v] = i.split(k)[-1].strip()
        if 'title' not in kodi_info and 'originaltitle' in kodi_info:
            kodi_info['title'] = kodi_info['originaltitle']
        plot_keywords = ['Сюжет фильма', 'О фильме']
        plot_min_len = 35
        for desc_index, i in enumerate(desc):
            for j in plot_keywords:
                if i.find(j) > -1:
                    plot_keyword = j
                    break
            else:
                continue
            if len(i) > plot_min_len:
                if i.find(':') > -1:
                    kodi_info['plot'] = ':'.join(i.split(':')[1:]).strip()
                else:
                    kodi_info['plot'] = i.split(plot_keyword)[-1].strip()
                break
            else:
                try:
                    if len(desc[desc_index + 1]) > plot_min_len:
                        kodi_info['plot'] = desc[desc_index + 1]
                        break
                except:
                    pass
        scr_images = None
        scr = re_find_scr_textarea.findall(html)
        if scr:
            images = re_find_img.findall(scr[0])
            if images:
                scr_images = images
        # logging.debug('info %s' % url)
        info = {
            'header': header,
            'thumbnail': self.search_thumbnail(re_find_img.findall(detail)),
            'imdb': imdb,
            'kinopoisk': kinopoisk,
            'kodi_info': kodi_info,
            'scr_images': scr_images,
            'torrent': torrent,
            'size': size,
            'seeds': seeds,
        }
        return info

    def get_index(self, path='', table_index=1):
        html = http_client.get_page(urljoin(self.base_url, path))
        tables = re_find_table.findall(html)
        return self.parce_table(tables[table_index])

    def get_linked_torrents(self, t_url):
        html = http_client.get_page(t_url)
        tables = re_find_table_lt.findall(html)
        return self.parce_table(tables[0])

    @db.cached('search')
    def search(self, query):
        html = http_client.get_page(urljoin(self.base_url, 'search/%s' % quote_plus(str(query))))
        tables = re_find_table.findall(html)
        return self.parce_table(tables[2])


@db.cached('torrent_files')
def get_torrent_files(url):
    http_client.min_body_len = 32
    info = bencode.bdecode(http_client.get_page(url, direct=CONFIG['DIRECT_DOWNLOAD_MODE']))['info']
    if 'files' not in info:
        return [{'findex': 0, 'path': [info['name']], 'length': info['length']}, ]
    files = info['files']
    for i, f in enumerate(files):
        f['findex'] = i
    return files


def test1():
    mirror = http_client.get_mirror('http://rutor.is')
    print 'Получено зеркало', mirror
    rutor = RuTor(mirror)
    for i in rutor.get_index():
        print i['id']


def test_get_info():
    rutor = RuTor('http://rutor.lib/')
    # rutor.get_info('http://anti-tor.org/torrent/613495/tri-bilborda-na-granice-jebbinga-missuri_three-billboards-outside-ebbing-missouri-2017-hdrip-d')
    # info = rutor.get_info('http://anti-tor.org/torrent/614981/tor-ragnarjok_thor-ragnarok-2017-bdrip-ot-megapeer-licenzija')
    # info = rutor.get_info('http://anti-tor.org/torrent/616278/evgenija-grande-1960-dvdrip-avc-ot-new-team')
    # info = rutor.get_info('http://open-tor.org/torrent/615574/otstavnik-pozyvnoj-«brodjaga»-2017-webrip-avc-ot-new-team')
    info = rutor.get_info('http://rutor.lib/torrent/620634/astral-4-poslednij-kljuch_insidious-the-last-key-2018-web-dlrip-avc-ot-exkinoray-itunes')
    # print info['kodi_info']
    print info


def proxy_pool_f1(x):
    return get_torrent_files(x)


def test6():
    db.clean_cache(full=True)
    torrent_url = 'http://anti-tor.org/download/439034'
    torrent_url = 'http://open-tor.org/download/615916'
    for i in get_torrent_files(torrent_url):
        print i


def test7():
    db.clean_cache(full=True)
    rutor = RuTor('http://anti-tor.org/')
    res = rutor.search('Рик и морти')
    for i in res:
        print i


def test8():
    rutor = RuTor('http://anti-tor.org/')
    res = rutor.get_index('kino', 2)
    for i in res:
        print i['name']


def test9():
    print http_client.get_content_length('http://img2.lostpic.net/orig_images/9/3/e/93eceee739dbbacca1e7d54ca254f6d8.png')


def test_get_torrent_files():
    db.clean_cache(full=True)
    print get_torrent_files('http://d.rutor.info/download/518699')


def test10():
    print len(re_find_table.findall(http_client.get_page('http://anti-tor.org/')))


def test_get_linked_torrents():
    rutor = RuTor('http://anti-tor.org/')
    print rutor.get_linked_torrents('http://anti-tor.org/torrent/620634/astral-4-poslednij-kljuch_insidious-the-last-key-2018-web-dlrip-avc-ot-exkinoray-itunes')


def test_unlink():
    print RuTor.unlink('http://rutor.lib/torrent/593985/rik-i-morti_rick-and-morty-s01-03-2013-2017-bdrip-hevc-720p-webrip-hevc-720p-syenduk')


def test_index():
    import tools
    rutor = RuTor('http://rutor.lib/')
    for i in rutor.get_index():
        print i['seeds']


if __name__ == '__main__':
    # db.clean_cache(full=True)
    #CONFIG['USE_PROXY'] = 2
    #http_client = HTTPClient()
    # test_get_info()
    #test_get_linked_torrents()
    test_index()
    #test_get_info()

